%define api   4.2
%define major 0
%define libname %mklibname syslog-ng %{api} %{major}
%define develname %mklibname syslog-ng -d

%define major_secret 0
%define libname_secret %mklibname secret-storage %{major_secret}

%define journalcfgdir %{_sysconfdir}/systemd

Name:       syslog-ng
Version:    4.2.0
Release:    %mkrel 3
Summary:    Next-generation syslog server
Group:      System/Kernel and hardware
License:    GPLv2 LGPLv2+
Url:        https://github.com/syslog-ng/syslog-ng
Source0:    https://github.com/syslog-ng/syslog-ng/releases/download/syslog-ng-%{version}/syslog-ng-%{version}.tar.gz
Source2:    syslog-ng.logrotate
Source3:    syslog-ng.service
Source4:    syslog-ng.sysconfig
Source5:    syslog-ng.tmpfiles
# (eatdirt) script to switch on fwd to syslog in systemd journal
Source6:    syslog-ng_switchfwd
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  xsltproc
BuildRequires:  net-devel >= 1.1.3
BuildRequires:  libesmtp-devel
BuildRequires:  libnet-snmp-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(dbi)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libmongoc-1.0)
BuildRequires:  pkgconfig(libmaxminddb)
BuildRequires:  pkgconfig(librabbitmq)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(hiredis)
BuildRequires:  pkgconfig(snappy)
BuildRequires:  librdkafka-devel
BuildRequires:  pkgconfig(libpcre)
Provides:       syslog-daemon
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

BuildRequires:  python3-pip
BuildRequires:  python3-cachetools
BuildRequires:  python3-certifi
BuildRequires:  python3-charset-normalizer
BuildRequires:  python3-google-auth
BuildRequires:  python3-idna
BuildRequires:  python3-kubernetes
BuildRequires:  python3-oauthlib
BuildRequires:  python3-pyasn1
BuildRequires:  python3-pyasn1-modules
BuildRequires:  python3-dateutil
BuildRequires:  python3-PyYAML
BuildRequires:  python3-requests
BuildRequires:  python3-requests-oauthlib
BuildRequires:  python3-rsa
BuildRequires:  python3-six
BuildRequires:  python3-urllib3
BuildRequires:  python3-websocket-client

%description
syslog-ng is an enhanced log daemon, supporting a wide range of input and
output methods: syslog, unstructured text, message queues, databases (SQL
and NoSQL alike) and more.

Key features:

 * receive and send RFC3164 and RFC5424 style syslog messages
 * work with any kind of unstructured data
 * receive and send JSON formatted messages
 * classify and structure logs with builtin parsers (csv-parser(),
   db-parser(), ...)
 * normalize, crunch and process logs as they flow through the system
 * hand on messages for further processing using message queues (like
   AMQP), files or databases (like PostgreSQL or MongoDB).

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          Development/C
Obsoletes:      %{_lib}syslog-ng4.2 < 4.2.0-3

%description -n %{libname}
The libraries for %{name}.

%package -n %{libname_secret}
Summary:        Secret-storage library for %{name}
Group:          Development/C
Obsoletes:      %{_lib}syslog-ng-secret-storage-devel < 4.2.0-3
Conflicts:      %{_lib}syslog-ng4.2 < 4.2.0-3
Conflicts:      %{_lib}syslog-ng4.0 < 4.2.0

%description -n %{libname_secret}
The secret-storage library for %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel
Obsoletes:      %{_lib}syslog-ng-secret-storage-devel < 4.2.0-3
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_secret} = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package slog
Summary: secure logging support for %{name}
Requires: %{name} = %{version}-%{release}

%description slog
This module supports secure message transfer and storage (experimental).

%package libdbi
Summary: Libdbi support for %{name}
Requires: %{name} = %{version}-%{release}

%description libdbi
This module supports a large number of database systems via libdbi.

%package mongodb
Summary: MongoDB support for %{name}
Requires: %{name} = %{version}-%{release}

%description mongodb
This module supports the mongodb database via libmongo-client.

%package kafka
Summary: Kafka support for %{name}
Requires: %{name} = %{version}-%{release}

%description kafka
This module supports sending logs to Kafka through librdkafka.

%package smtp
Summary: SMTP support for %{name}
Requires: %{name} = %{version}-%{release}

%description smtp
This module supports sending e-mail alerts through an smtp server.

%package snmp
Summary: SNMP support for %{name}
Requires: %{name} = %{version}-%{release}

%description snmp
This module adds support for SNMP destination

%package geoip
Summary: GeoIP support for %{name}
Requires: %{name} = %{version}-%{release}

%description geoip
This template function returns the 2-letter country code of
any IPv4 address or host.

%package redis
Summary: Redis support for %{name}
Requires: %{name} = %{version}-%{release}

%description redis
This module supports the redis key-value store via hiredis.

%package http
Summary: HTTP support for %{name}
Requires: %{name} = %{version}-%{release}

%description http
This module supports the http destination.

%package amqp
Summary: AMQP support for %{name}
Requires: %{name} = %{version}-%{release}

%description amqp
This module supports the AMQP destination.

%package python
Summary: Python support for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: python3-syslog-ng < 4

%description python
This module supports the Python destination.


%package python-modules
Summary:        Python-based drivers for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}
Requires:  python3-cachetools
Requires:  python3-certifi
Requires:  python3-charset-normalizer
Requires:  python3-google-auth
Requires:  python3-idna
Requires:  python3-kubernetes
Requires:  python3-oauthlib
Requires:  python3-pyasn1
Requires:  python3-pyasn1-modules
Requires:  python3-dateutil
Requires:  python3-PyYAML
Requires:  python3-requests
Requires:  python3-requests-oauthlib
Requires:  python3-rsa
Requires:  python3-six
Requires:  python3-urllib3
Requires:  python3-websocket-client

%description python-modules
This package provides Python-based (Kubernetes, Hypr) drivers for syslog-ng.

%prep
%autosetup -p 1

# Remove bundled libraries
rm -rf modules/afamqp/rabbitmq-c
rm -rf modules/afmongodb/mongo-c-driver

# fix perl path
%{__sed} -i 's|^#!/usr/local/bin/perl|#!%{__perl}|' contrib/relogger.pl

# fix executable perms on contrib files
%{__chmod} -c a-x contrib/syslog2ng

# fix authors file
/usr/bin/iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
    %{__mv} -f AUTHORS.conv AUTHORS

# Fix python shebang
%py3_shebang_fix lib/merge-grammar.py
touch -r lib/cfg-grammar.y lib/merge-grammar.py

%build
#autoreconf -fi
%configure \
    --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --localstatedir=%{_sharedstatedir}/%{name} \
    --datadir=%{_datadir} \
    --with-module-dir=%{_libdir}/%{name} \
    --with-pidfile-dir=/run/syslog-ng \
    --with-systemdsystemunitdir=%{_unitdir} \
    --with-mongoc=system \
    --with-embedded-crypto \
    --enable-manpages \
    --enable-ipv6 \
    --enable-spoof-source \
    --with-linux-caps=auto \
    --enable-sql \
    --enable-kafka \
    --enable-json \
    --enable-ssl \
    --enable-smtp \
    --enable-geoip \
    --enable-shared \
    --disable-static \
    --enable-dynamic-linking \
    --enable-systemd \
    --enable-redis \
    --enable-amqp \
    --enable-python \
    --with-python=3 \
    --with-python-packages=system \
    --disable-java \
    --disable-java-modules \
    --enable-afsnmp

%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/syslog-ng/conf.d
install -m 644 packaging/rhel/syslog-ng.conf %{buildroot}%{_sysconfdir}/syslog-ng/syslog-ng.conf

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/syslog-ng

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/syslog-ng.service

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/syslog-ng

install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -m 644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# create the local state dir
install -d -m 755 %{buildroot}%{_sharedstatedir}/syslog-ng

# install the main library header files
%{__install} -d -m 755 %{buildroot}%{_includedir}/%{name}
%{__install} -p -m 644 config.h %{buildroot}%{_includedir}/%{name}
%{__install} -p -m 644 lib/*.h %{buildroot}%{_includedir}/%{name}

# install vim files
install -d -m 755 %{buildroot}%{_datadir}/vim/ftdetect
install -d -m 755 %{buildroot}%{_datadir}/vim/syntax
install -m 644 contrib/vim/ftdetect/syslog-ng.vim %{buildroot}%{_datadir}/vim/ftdetect
install -m 644 contrib/vim/syntax/syslog-ng.vim %{buildroot}%{_datadir}/vim/syntax

find %{buildroot} -name "*.la" -exec rm -f {} \;

# remove some extra testing related files
rm %{buildroot}%{_unitdir}/%{name}@.service





# (eatdirt)
%__install -D -p -m 755 %{SOURCE6} %{buildroot}%{_sbindir}/syslog-ng_switchfwd


%post

#(eatdirt)
# switch ForwardToSyslog=yes in /etc/systemd/journald.conf + backup
%{_sbindir}/syslog-ng_switchfwd %{journalcfgdir} on
# restart systemd-journal
/bin/systemctl try-restart systemd-journald || :

%_tmpfilescreate %{name}
%_post_service %{name}
# (cg) Handle a quirk of syslog service installations
if [ -f %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service -a ! -f %{_sysconfdir}/systemd/system/syslog.service ]; then
  cp -a %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service %{_sysconfdir}/systemd/system/syslog.service
fi

%preun
%_preun_service %{name}

#(eatdirt)
#restore the previously saved /etc/systemd/journald.conf file
%{_sbindir}/syslog-ng_switchfwd %{journalcfgdir} off
# restart systemd-journal
/bin/systemctl try-restart systemd-journald || :

%files
%doc AUTHORS COPYING NEWS.md
%doc contrib/{relogger.pl,syslog2ng,syslog-ng.conf.doc}
%dir %{_sysconfdir}/syslog-ng
%dir %{_sysconfdir}/syslog-ng/conf.d
%dir %{_sysconfdir}/syslog-ng/patterndb.d
%config(noreplace) %{_sysconfdir}/logrotate.d/syslog-ng
%config(noreplace) %{_sysconfdir}/syslog-ng/scl.conf
%config(noreplace) %{_sysconfdir}/syslog-ng/syslog-ng.conf
%config(noreplace) %{_sysconfdir}/sysconfig/syslog-ng
%{_unitdir}/syslog-ng.service
%{_tmpfilesdir}/%{name}.conf
%dir %{_sharedstatedir}/syslog-ng
%{_sbindir}/syslog-ng
%{_sbindir}/syslog-ng-ctl
%{_sbindir}/syslog-ng-debun
%{_sbindir}/syslog-ng_switchfwd
%{_bindir}/dqtool
%{_bindir}/loggen
%{_bindir}/pdbtool
%{_bindir}/persist-tool
%{_bindir}/update-patterndb
%{_bindir}/syslog-ng-update-virtualenv
%dir %{_libdir}/syslog-ng
%{_libdir}/syslog-ng/*.so

%dir %{_libdir}/syslog-ng/loggen
%{_libdir}/syslog-ng/loggen/libloggen_socket_plugin.so
%{_libdir}/syslog-ng/loggen/libloggen_ssl_plugin.so

%exclude %{_libdir}/syslog-ng/libafamqp.so
%exclude %{_libdir}/syslog-ng/libafmongodb.so
%exclude %{_libdir}/syslog-ng/libafsmtp.so
%exclude %{_libdir}/syslog-ng/libafsql.so
%exclude %{_libdir}/syslog-ng/libgeoip2-plugin.so
%exclude %{_libdir}/syslog-ng/libhttp.so
%exclude %{_libdir}/syslog-ng/libmod-python.so
%exclude %{_libdir}/syslog-ng/libredis.so
%exclude %{_libdir}/syslog-ng/libafsnmp.so
%exclude %{_libdir}/syslog-ng/libkafka.so

%dir %{_datadir}/syslog-ng
%{_datadir}/syslog-ng/include/
%{_datadir}/syslog-ng/xsd/
%{_datadir}/syslog-ng/smart-multi-line.fsm
%{_datadir}/vim/ftdetect/syslog-ng.vim
%{_datadir}/vim/syntax/syslog-ng.vim

%{_mandir}/man1/loggen.1*
%{_mandir}/man1/pdbtool.1*
%{_mandir}/man1/syslog-ng-ctl.1*
%{_mandir}/man1/syslog-ng-debun.1*
%{_mandir}/man1/dqtool.1*
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*
%{_mandir}/man1/persist-tool.1*

%files slog
%{_bindir}/slogkey
%{_bindir}/slogencrypt
%{_bindir}/slogverify
%{_libdir}/syslog-ng/libsecure-logging.so
%{_mandir}/man1/slogkey.1*
%{_mandir}/man1/slogencrypt.1*
%{_mandir}/man1/slogverify.1*
%{_mandir}/man7/secure-logging.7*

%files -n %{libname}
%{_libdir}/libsyslog-ng-%{api}.so.%{major}{,.*}
%{_libdir}/libevtlog-%{api}.so.%{major}{,.*}
%{_libdir}/libloggen_helper-%{api}.so.%{major}{,.*}
%{_libdir}/libloggen_plugin-%{api}.so.%{major}{,.*}

%files -n %{libname_secret}
%{_libdir}/libsecret-storage.so.%{major_secret}{,.*}

%files libdbi
%{_libdir}/syslog-ng/libafsql.so

%files kafka
%{_libdir}/%{name}/libkafka.so

%files mongodb
%{_libdir}/syslog-ng/libafmongodb.so

%files redis
%{_libdir}/syslog-ng/libredis.so

%files smtp
%{_libdir}/syslog-ng/libafsmtp.so

%files snmp
%{_libdir}/%{name}/libafsnmp.so

%files geoip
%{_libdir}/syslog-ng/libgeoip2-plugin.so

%files http
%{_libdir}/syslog-ng/libhttp.so

%files amqp
%{_libdir}/syslog-ng/libafamqp.so

%files python
%{_libdir}/%{name}/libmod-python.so
%dir %{_sysconfdir}/%{name}/python
%{_sysconfdir}/%{name}/python/README.md
%{_libdir}/%{name}/python/syslogng-1.0-py%{python3_version}.egg-info
%{_libdir}/%{name}/python/syslogng/*
%{_libdir}/%{name}/python/requirements.txt
%exclude %{_libdir}/syslog-ng/python/syslogng/modules/

%files python-modules
%dir %{_libdir}/syslog-ng/python/syslogng/modules/
%{_libdir}/syslog-ng/python/syslogng/modules/*

%files -n %{develname}
%{_datadir}/syslog-ng/tools/
%{_includedir}/syslog-ng/
%{_libdir}/libevtlog.so
%{_libdir}/libloggen_helper.so
%{_libdir}/libloggen_plugin.so
%{_libdir}/libsyslog-ng-native-connector.a
%{_libdir}/libsyslog-ng.so
%{_libdir}/pkgconfig/syslog-ng-native-connector.pc
%{_libdir}/pkgconfig/syslog-ng.pc
%{_libdir}/libsecret-storage.so


%changelog
* Sun Jun 18 2023 wally <wally> 4.2.0-3.mga9
+ Revision: 1962396
- fix lib pkg name to include lib api
- use same secret-storage lib pkg name as in mga8
- drop unneeded secret-storage devel pkg

* Sun Jun 18 2023 guillomovitch <guillomovitch> 4.2.0-2.mga9
+ Revision: 1962371
- move libsecret-storage in a distinct package, to avoid conflict with main library package

* Wed Jun 14 2023 guillomovitch <guillomovitch> 4.2.0-1.mga9
+ Revision: 1961930
- new version 4.2.0
+ daviddavid <daviddavid>
- update Url

* Sat Jan 14 2023 guillomovitch <guillomovitch> 4.0.1-1.mga9
+ Revision: 1933165
- new version 4.0.1
  use upstream default configuration file
  merge libraries packages
  rename python package from python3-syslog-ng to python-syslog-ng

* Sun Nov 27 2022 guillomovitch <guillomovitch> 3.38.1-1.mga9
+ Revision: 1911672
- new version 3.38.1

* Thu Nov 24 2022 mrambo3501 <mrambo3501> 3.37.1-3.mga9
+ Revision: 1910877
- BR pkgconfig(libpcre)

* Thu Aug 25 2022 guillomovitch <guillomovitch> 3.37.1-2.mga9
+ Revision: 1880355
- bump version in default configuration file

* Wed Aug 24 2022 neoclust <neoclust> 3.37.1-1.mga9
+ Revision: 1880060
- New version 3.37.1

* Sun Apr 03 2022 umeabot <umeabot> 3.36.1-2.mga9
+ Revision: 1841541
- Mageia 9 Mass Rebuild

* Fri Apr 01 2022 guillomovitch <guillomovitch> 3.36.1-1.mga9
+ Revision: 1839758
- new version 3.36.1

* Mon Feb 14 2022 tmb <tmb> 3.35.1-2.mga9
+ Revision: 1774924
- rebuild for python 3.10

* Sun Dec 12 2021 guillomovitch <guillomovitch> 3.35.1-1.mga9
+ Revision: 1761648
- new version 3.35.1
- enable Kafka support
- ship SNMP support plugin in a distinct subpackage

* Sat Oct 02 2021 wally <wally> 3.33.2-2.mga9
+ Revision: 1748093
- rebuild for openssl 3.0.0

* Sun Aug 22 2021 guillomovitch <guillomovitch> 3.33.2-1.mga9
+ Revision: 1742322
- new version 3.33.2
+ wally <wally>
- drop .la files
- build with -Wl,--no-undefined

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.31.2-1.mga9
+ Revision: 1706161
- new version 3.31.2

* Sun Nov 29 2020 luigiwalser <luigiwalser> 3.30.1-2.mga8
+ Revision: 1650348
- rebuild for json-c

* Tue Nov 24 2020 guillomovitch <guillomovitch> 3.30.1-1.mga8
+ Revision: 1649030
- new version 3.30.1

* Thu Nov 12 2020 guillomovitch <guillomovitch> 3.29.1-1.mga8
+ Revision: 1644890
- new version 3.29

* Tue Nov 03 2020 akien <akien> 3.28.1-2.mga8
+ Revision: 1642119
- Rebuild for new libnetsnmp

* Sun Aug 09 2020 guillomovitch <guillomovitch> 3.28.1-1.mga8
+ Revision: 1612144
- new version 3.28.1

* Fri Jun 19 2020 guillomovitch <guillomovitch> 3.27.1-1.mga8
+ Revision: 1597231
- new version 3.27.1
- drop administration guide, impossible to keep synchronized

* Sat Mar 21 2020 guillomovitch <guillomovitch> 3.26.1-1.mga8
+ Revision: 1558497
- new version 3.26.1

* Wed Feb 19 2020 daviddavid <daviddavid> 3.25.1-2.mga8
+ Revision: 1542342
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 15 2019 guillomovitch <guillomovitch> 3.25.1-1.mga8
+ Revision: 1468078
- new version 3.25.1

* Wed Oct 23 2019 guillomovitch <guillomovitch> 3.24.1-1.mga8
+ Revision: 1455376
- new version 3.24.1

* Sun Sep 15 2019 tv <tv> 3.23.1-2.mga8
+ Revision: 1441650
- rebuild for python-3.8

* Mon Sep 02 2019 guillomovitch <guillomovitch> 3.23.1-1.mga8
+ Revision: 1436451
- new version 3.23.1

* Thu Jul 04 2019 guillomovitch <guillomovitch> 3.22.1-1.mga8
+ Revision: 1418580
- new version 3.22.1
- use python 3 for bindings
- split some optional modules in subpackages to minimize dependencies

* Tue May 14 2019 guillomovitch <guillomovitch> 3.21.1-1.mga7
+ Revision: 1397714
- new version 3.21.1

* Sat Mar 16 2019 guillomovitch <guillomovitch> 3.20.1-1.mga7
+ Revision: 1377770
- new version 3.20.1

* Mon Dec 24 2018 guillomovitch <guillomovitch> 3.19.1-2.mga7
+ Revision: 1344810
- fix upgrade by splitting libsecret-storage into its own subpackage

* Sun Dec 23 2018 guillomovitch <guillomovitch> 3.19.1-1.mga7
+ Revision: 1344758
- new version 3.19.1

* Sun Sep 23 2018 umeabot <umeabot> 3.14.1-5.mga7
+ Revision: 1301290
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 3.14.1-4.mga7
+ Revision: 1245362
- rebuild for new json-c 0.13.1

* Wed Jul 25 2018 daviddavid <daviddavid> 3.14.1-3.mga7
+ Revision: 1245256
- rename python-syslog-ng to python2-syslog-ng
- fix json-c BR

* Sun Mar 11 2018 guillomovitch <guillomovitch> 3.14.1-1.mga7
+ Revision: 1208113
- new version 3.14.1

* Fri Aug 04 2017 guillomovitch <guillomovitch> 3.11.1-1.mga7
+ Revision: 1134954
- new version 3.11

* Sat Jan 28 2017 guillomovitch <guillomovitch> 3.9.1-1.mga6
+ Revision: 1083764
- new version 3.9.1

* Sat Aug 27 2016 guillomovitch <guillomovitch> 3.8.1-1.mga6
+ Revision: 1049192
- new version 3.8.1

* Sun Jul 24 2016 guillomovitch <guillomovitch> 3.7.3-1.mga6
+ Revision: 1043530
- new version 3.7.3

* Thu Mar 03 2016 umeabot <umeabot> 3.7.1-3.mga6
+ Revision: 984452
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 3.7.1-2.mga6
+ Revision: 958947
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 guillomovitch <guillomovitch> 3.7.1-1.mga6
+ Revision: 889636
- new version 3.7.1

* Mon Jun 22 2015 guillomovitch <guillomovitch> 3.6.3-1.mga6
+ Revision: 839393
- new version 3.6.3

* Wed Oct 15 2014 umeabot <umeabot> 3.5.6-6.mga5
+ Revision: 744678
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 eatdirt <eatdirt> 3.5.6-5.mga5
+ Revision: 737448
- Adding scriptlet to switch on fwd in systemd journal

* Fri Sep 26 2014 tv <tv> 3.5.6-4.mga5
+ Revision: 725240
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.5.6-3.mga5
+ Revision: 689662
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 3.5.6-2.mga5
+ Revision: 672035
- Rebuild for new systemd

* Thu Aug 07 2014 guillomovitch <guillomovitch> 3.5.6-1.mga5
+ Revision: 660358
- new version 3.5.6

* Tue Jul 29 2014 guillomovitch <guillomovitch> 3.5.5-1.mga5
+ Revision: 657854
- new version 3.5.5

* Sun Jul 06 2014 pterjan <pterjan> 3.5.4.1-2.mga5
+ Revision: 650059
- Fix build with recent json-c

* Thu Mar 20 2014 guillomovitch <guillomovitch> 3.5.4.1-1.mga5
+ Revision: 606038
- new version 3.5.4.1

* Thu Mar 13 2014 guillomovitch <guillomovitch> 3.5.4-1.mga5
+ Revision: 602772
- new version 3.5.4

* Tue Feb 04 2014 guillomovitch <guillomovitch> 3.5.3-1.mga5
+ Revision: 580718
- new version 3.5.3

* Thu Nov 07 2013 guillomovitch <guillomovitch> 3.4.5-1.mga4
+ Revision: 549904
- new version 3.4.5

* Sat Oct 19 2013 umeabot <umeabot> 3.4.3-2.mga4
+ Revision: 532259
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 guillomovitch <guillomovitch> 3.4.3-1.mga4
+ Revision: 467620
- new version

* Thu May 23 2013 guillomovitch <guillomovitch> 3.4.1-1.mga4
+ Revision: 424808
- new version

* Sat May 11 2013 guillomovitch <guillomovitch> 3.3.8-3.mga3
+ Revision: 413002
- use systemctl in logrotate, instead of sysinit script

* Sun Mar 24 2013 colin <colin> 3.3.8-2.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Thu Feb 07 2013 guillomovitch <guillomovitch> 3.3.8-1.mga3
+ Revision: 395116
- new version
- fix default configuration file, for systemd compatibility (8944)
- ship tmpfile configuration
- drop old and doubtful pm-utils scriptlet
- use /etc/syslog-ng/conf.d for additional configuration snippets, as fedora

* Mon Jan 14 2013 umeabot <umeabot> 3.3.7-4.mga3
+ Revision: 383952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 guillomovitch <guillomovitch> 3.3.7-3.mga3
+ Revision: 326660
- reformat default configuration file, and adapt to 3.3 syntax
- use regular installation prefix
- explicit systemd support

* Sat Dec 01 2012 fwang <fwang> 3.3.7-2.mga3
+ Revision: 323690
- rebuild for new pcre

* Thu Nov 29 2012 guillomovitch <guillomovitch> 3.3.7-1.mga3
+ Revision: 323119
- new version

* Fri Sep 14 2012 guillomovitch <guillomovitch> 3.3.6-1.mga3
+ Revision: 293884
- new version
- use /run instead of /var/run for PID file
- minor systemd service fixes

* Tue May 29 2012 guillomovitch <guillomovitch> 3.3.5-1.mga3
+ Revision: 249509
- new version
- drop sysinit support

* Sat Apr 28 2012 tmb <tmb> 3.3.4-3.mga2
+ Revision: 233870
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 3.3.4-2.mga2
+ Revision: 232391
- Ensure syslog-ng does the necessary post install magic to enable itself under systemd

* Sun Jan 22 2012 guillomovitch <guillomovitch> 3.3.4-1.mga2
+ Revision: 199666
- new version

* Tue Nov 29 2011 guillomovitch <guillomovitch> 3.3.3-1.mga2
+ Revision: 174076
- new version

* Tue Oct 11 2011 guillomovitch <guillomovitch> 3.3.1-1.mga2
+ Revision: 153982
- new version
- systemd support
+ rapsys <rapsys>
- Add missing directory creation rights

* Thu Jun 30 2011 rapsys <rapsys> 3.2.4-1.mga2
+ Revision: 116910
- Add syslog-ng sources
- Created package structure for syslog-ng.

